CamelMimeFilterWindows
3
CAMEL Library

# CamelMimeFilterWindows

## Synopsis

                        CamelMimeFilterWindows;
    CamelMimeFilter*    camel_mime_filter_windows_new       (const char *claimed_charset);
    gboolean            camel_mime_filter_windows_is_windows_charset
                                                            (CamelMimeFilterWindows *filter);
    const char*         camel_mime_filter_windows_real_charset
                                                            (CamelMimeFilterWindows *filter);

## Description

## Details

### CamelMimeFilterWindows

    typedef struct {
    	CamelMimeFilter parent;

    	gboolean is_windows;
    	char *claimed_charset;
    } CamelMimeFilterWindows;

### camel_mime_filter_windows_new ()

    CamelMimeFilter*    camel_mime_filter_windows_new       (const char *claimed_charset);

Create a new CamelMimeFilterWindows object that will analyse whether or not the text is really encoded in `claimed_charset`.

`claimed_charset` :

  ISO charset name

Returns :

  a new CamelMimeFilter object

### camel_mime_filter_windows_is_windows_charset ()

    gboolean            camel_mime_filter_windows_is_windows_charset
                                                            (CamelMimeFilterWindows *filter);

Get whether or not the textual content filtered by `filetr` is really in a Microsoft Windows charset rather than the claimed ISO charset.

`filter` :

  a CamelMimeFilterWindows object

Returns :

  %TRUE if the text was found to be in a Microsoft Windows CP125x charset or `FALSE` otherwise.

### camel_mime_filter_windows_real_charset ()

    const char*         camel_mime_filter_windows_real_charset
                                                            (CamelMimeFilterWindows *filter);

Get the name of the actual charset used to encode the textual content filtered by `filter` (it will either be the original claimed_charset passed in at creation time or the Windows-CP125x equivalent).

`filter` :

  a CamelMimeFilterWindows object

Returns :

  the name of the actual charset